# BaseLayoutV1
`toloka.client.project.template_builder.layouts.BaseLayoutV1` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/project/template_builder/layouts.py#L27)

```python
BaseLayoutV1(
    self,
    *,
    validation: Optional[BaseComponent] = None,
    version: Optional[str] = '1.0.0'
)
```

Options for positioning elements in the interface, such as in columns or side-by-side.


If you have more than one element in the interface, these components will help you arrange them the way you want.

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`validation`|**Optional\[[BaseComponent](toloka.client.project.template_builder.base.BaseComponent.md)\]**|<p>Validation based on condition.</p>
